Vue UI Components Documentation
Vue CheckBox Component
The CheckBox component for Vue represents a check box that allows the end-user to select a true, false or indeterminate condition.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The CheckBox component for Vue requires the following import:
import JqxCheckBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue";
Add the jqxCheckBox component to the components section of the the Vue class:
components: { JqxCheckBox },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxCheckBox/>
<template> <JqxCheckBox :width="120" :height="25" :checked="checked"> <span>CheckBox</span> </JqxCheckBox></template>
Properties
The properties of the <JqxCheckBox/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { checked: true }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxCheckBox @change="checkBoxOnChange()" :width="120" :height="25" :checked="checked"> <span>CheckBox</span></JqxCheckBox>
All events that are bound to a component are implemented in the methods
member of the Vue class.
methods: { checkBoxOnChange: function () { // Do something... }}
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxCheckBox ref="checkbox"></JqxCheckBox>
Here how you can use a component's method:
this.$refs.checkbox.focus();
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:

Angular UI Components Documentation

Angular CheckBox Component

The CheckBox component for Angular represents a check box that allows the end-user to select a true, false or indeterminate condition.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<div style='font-family: Verdana Arial; font-size: 12px; width: 400px;'>
  <div style='float: left; width: 400px;'>
    <h3 style='margin-left: 15px;'>Categories</h3>
    <jqxCheckBox [theme]="'fluent'" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25'>
      Entertainment
    </jqxCheckBox>
    <jqxCheckBox [theme]="'fluent'" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25' [checked]='true'>
      <span>Computers</span>
    </jqxCheckBox>
    <jqxCheckBox [theme]="'fluent'" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25'>
      <span>Sports</span>
    </jqxCheckBox>
  </div>
  <div style='float: left; width: 400px; margin-top: 10px;'>
    <jqxCheckBox [theme]="'fluent'" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25'>
      Health
    </jqxCheckBox>
    <jqxCheckBox [theme]="'fluent'" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25'>
      <span>Finance</span>
    </jqxCheckBox>
    <jqxCheckBox [theme]="'fluent'" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25'>
      <span>Travel</span>
    </jqxCheckBox>
  </div>
  <div style='float: left; width: 400px; margin-top: 10px;'>
    <jqxCheckBox [theme]="'fluent'" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25'>
      Music
    </jqxCheckBox>
    <jqxCheckBox [theme]="'fluent'" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25'>
      <span>Technology</span>
    </jqxCheckBox>
    <jqxCheckBox [theme]="'fluent'" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25'>
      <span>Publishing</span>
    </jqxCheckBox>
  </div>
  <br />
  <div style='float: left; width: 400px; margin-top: 10px;'>
    <h3 style='margin-left: 15px;'>States</h3>
    <jqxCheckBox [theme]="'fluent'" (onChange)="checkBox10OnChange($event)" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25' [checked]='true'>
      <span #span10>Checked</span>
    </jqxCheckBox>
    <jqxCheckBox [theme]="'fluent'" (onChange)="checkBox11OnChange($event)" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25' [checked]='false'>
      <span #span11>Unchecked</span>
    </jqxCheckBox>
  </div>
  <div style='float: left; width: 400px; margin-top: 10px;'>
    <jqxCheckBox [theme]="'fluent'" (onChange)="checkBox12OnChange($event)" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25' [hasThreeStates]='true' [checked]='null'>
      <span #span12>Indeterminate</span>
    </jqxCheckBox>
    <jqxCheckBox [theme]="'fluent'" style='margin-left: 10px; float: left;'
                 [width]='120' [height]='25' [disabled]='true'>
      <span>Disabled</span>
    </jqxCheckBox>
  </div>
</div>
	

3. Setup Component Logic

app.component.ts


import { Component, ViewChild, ElementRef } from '@angular/core';

import { jqxCheckBoxModule, jqxCheckBoxComponent } from 'jqwidgets-ng/jqxcheckbox';
@Component({
    selector: 'app-root',
    imports: [jqxCheckBoxModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
    @ViewChild('span10') span10: ElementRef;
    @ViewChild('span11') span11: ElementRef;
    @ViewChild('span12') span12: ElementRef;

    checkBox10OnChange(event: any): void {
        let checked = event.args.checked;
        if (checked) {
            this.span10.nativeElement.innerHTML = 'Checked';
        }
        else {
            this.span10.nativeElement.innerHTML = 'Unchecked';
        }
    }
    checkBox11OnChange(event: any): void {
        let checked = event.args.checked;
        if (checked) {
            this.span11.nativeElement.innerHTML = 'Checked';
        }
        else {
            this.span11.nativeElement.innerHTML = 'Unchecked';
        }
    }
    checkBox12OnChange(event: any): void {
        let checked = event.args.checked;
        if (checked) {
            this.span12.nativeElement.innerHTML = 'Checked';
        }
        else if (false == checked) {
            this.span12.nativeElement.innerHTML = 'Unchecked';
        }
        else {
            this.span12.nativeElement.innerHTML = 'Indeterminate';
        }
    }
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

CheckBox API

API Reference of the jQWidgets CheckBox component for Angular: CheckBox API

React UI Components Documentation

ReactJS CheckBox Component

The CheckBox component for ReactJS represents a check box that allows the end-user to select a true, false or indeterminate condition.

Prerequisites

Refer to ReactJS Getting Started before you start with this help topic.

Configuration

The CheckBox component for ReactJS requires the following imports.

 
import React from 'react';
import ReactDOM from 'react-dom';
import JqxCheckBox from 'jqwidgets-react/react_jqxcheckbox.js';

Then we create our component class. Properties and methods are put as ReactJS props.

  
class App extends React.Component {
render () {
return (
<JqxCheckBox
value='Health'
width={120}
height={25}
/>
)
}
}

Finally we render our class in the desired HTML element:

 
ReactDOM.render(<App />, document.getElementById('app'));

Events Methods & Properties

In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:

 
<JqxCheckBox ref='myCheckBox' width={120} height={25}..... />

Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.

 
class App extends React.Component {
componentDidMount()
{
//your logic
}
render ()
{
return
(
....
)
}
};

Events

The change event is triggered when the checkbox's state changes.

The following example demonstrates how to add an event listener:

 
componentDidMount ()
{
this.refs.myCheckBox.on('change', (event) =>
{
//your logic
});
}

Methods & Properties

This is how you call methods & props:

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

Every component also have a method getOptions which returns a object containing the component settings.

CheckBox Examples

Overview

The following example demonstrates how to create a CheckBox component.

 
import React from 'react';
import ReactDOM from 'react-dom';
import JqxCheckBox from 'jqwidgets-react/react_jqxcheckbox.js';
class App extends React.Component {
render () {
return (
<JqxCheckBox
value='Health'
width={120}
height={25}
/>
)
}
}
ReactDOM.render(<App />, document.getElementById('app'));

Set Indeterminate CheckBox

The following example demonstrates the CheckBox in the indeterminate state. Use checked: null property.

CheckBox API

API Reference of the jQWidgets CheckBox component for React: CheckBox API